# clx_flutter_net

A new Flutter plugin project.

## Getting Started



## Usage

### 1. 添加依赖

```
dependencies:
  clx_flutter_net:
    git:
      ref: '1.0.0'
      url: 'https://t.clxkj.cn/openSourceLibrary/clx_flutter_net.git'
```
### 2. 初始化

```
import 'package:clx_flutter_net/clx_flutter_net.dart';

void main() {
    DioUtils.instance.initConfig(); // 初始化网络请求框架
}

```
### 3. 配置项目种dio（请求域名、请求头、重新登录等）


```
import 'package:clx_flutter_net/clx_flutter_net.dart';

class DioUtils extends BaseDio {
  static final DioUtils _singleton = DioUtils._internal();

  static DioUtils get instance => _singleton; // 单例

  DioUtils._internal();

  @override
  Interceptor getHeadersInterceptor() {
    // 设置请求头
    return HeaderInterceptor();
  }

  @override
  void onLoginExpire() {
    // token 失效 重新登录等操作
    ToastUtil.showToast("登录失效，请重新登录");
    logoutRemove();
    Get.offAllNamed(AppRoutes.loginPage);
  }

  @override
  String setBaseUrl() {
    return ApiConfig.apiHost; // 设置请求域名
  }

  @override
  bool isProdEnv() => ApiConfig.apiHost == ApiConfig.prod; // 生产环境不设置代理 测试抓包代理配置
}

```

### 4. 发起请求

```
import 'package:clx_flutter_net/clx_flutter_net.dart';

  static Future<void> get(
    url, {
    required queryParameters,
    NetSuccessCallback? successCallback,
    NetSuccessListCallback? successListCallback,
    NetErrorCallback? errorCallback,
    Options? options,
  }) async {
     DioUtils.instance.request(
        requestUrl: url,
        queryParameters: queryParameters,
        method: Method.get,
        successCallback: (data) {
          successListCallback?.call(data) ?? successCallback?.call(data);
        },
        errorCallback: (code, msg) {
          EasyLoading.dismiss();
          errorCallback != null
              ? errorCallback.call(code, msg)
              : ToastUtil.showToast(msg);
        },
        options: options);
  }

```



