import 'package:clx_flutter_net_example/api_config.dart';
import 'package:clx_flutter_net_example/dio_utils.dart';
import 'package:clx_flutter_net_example/net_util.dart';
import 'package:clx_flutter_net_example/service_api.dart';
import 'package:clx_flutter_util/clx_flutter_util.dart';
import 'package:flutter/material.dart';

Future<void> main() async {
  WidgetsFlutterBinding.ensureInitialized(); // 初始化
  await SpUtil.getInstance(); // 初始化本地存储
  ApiConfig.env = Env.dev; // 配置环境
  DioUtils.instance.initConfig(); // 初始化网络请求框架
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({super.key});

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _result = '请求结果:';

  @override
  void initState() {
    super.initState();
    // initPlatformState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Column(
          children: [
            Row(
              children: [
                ElevatedButton(
                    onPressed: () async {
                      var result = await NetUtil.getSync(
                        ServiceApi.getOwnerAgreementInfo,
                      );
                      setState(() {});
                      _result = "请求结果: $result";
                    },
                    child: const Text('get同步请求')),
              ],
            ),
            Row(
              children: [
                ElevatedButton(
                    onPressed: () async {
                      NetUtil.get(
                        ServiceApi.getOwnerAgreementInfo,
                        queryParameters: {
                          "driverId": "1",
                        },
                        successCallback: (data) {
                          logger.d("请求结果: $data");
                          setState(() {});
                          _result = "请求结果: $data";
                        },
                        errorCallback: (code, msg) {
                          logger.d("请求结果: $msg");
                        },
                      );
                    },
                    child: const Text('get回调')),
              ],
            ),
            Text(_result),
          ],
        ),
      ),
    );
  }
}
